-- License CC0 (Creative Commons license) (c) darkfrei, 2022

function love.load()
	tileSize = 32 -- for image 32x32 pixels
	a = {image = love.graphics.newImage("air.png")} -- image 32x32 pixels
	g = {image = love.graphics.newImage("ground.png")} -- image 32x32 pixels
	gg = {image = love.graphics.newImage("ground-grass.png")} -- image 32x32 pixels
	local seedX = love.math.random(1024)
	local seedY = love.math.random(1024)

	local mult = 1 -- or 4
	local w, h = 25*mult, 19*mult-1
	map = {}
	for y = 1, h do
		map[y] = {}
		for x = 1, w do
			local value = love.math.noise( 0.04*x+seedX, 0.14*y+seedY)
			if value > 0.7 then -- 70% air and 30% ground
				if map[y-1] and map[y-1][x] and map[y-1][x] == a then
					map[y][x] = gg
				else
					map[y][x] = g -- ground
				end
			else
				map[y][x] = a -- air
			end
		end
	end
end

 
function love.update(dt)

end


function love.draw()
	local scale = 1
	for y, xs in ipairs (map) do
		for x, tile in ipairs (xs) do
			love.graphics.draw(tile.image, (x-1)*tileSize*scale, (y-1)*tileSize*scale, 0, scale, scale)
		end
	end
end


function love.keypressed(key, scancode, isrepeat)
	if false then
	elseif key == "escape" then
		love.event.quit()
	end
end
